Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Mirror API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mirror.type
Interface InterfaceType

All Superinterfaces:
  DeclaredType, ReferenceType, TypeMirror

All Known Subinterfaces:
  AnnotationType

    public interface InterfaceType

extends DeclaredType

Represents an interface type. Note that an annotation type is a kind of interface.

While an `InterfaceDeclaration` represents the declaration of an interface, an `InterfaceType` represents an interface type. See `TypeDeclaration` for more on this distinction.

Since:
  1.5

Method Summary
`InterfaceDeclaration` | `getDeclaration()` Returns the declaration of this type.

Methods inherited from interface com.sun.mirror.type.DeclaredType
`getActualTypeArguments, getContainingType, getSuperinterfaces`

Methods inherited from interface com.sun.mirror.type.TypeMirror
`accept, equals, toString`

Method Detail

### getDeclaration

    InterfaceDeclaration getDeclaration()

  Returns the declaration of this type.

  Returns null if this type's declaration is unknown. This may be the result of a processing error, such as a missing class file.

  Specified by:
    `getDeclaration` in interface `DeclaredType`
  Returns:
    the declaration of this type, or null if unknown

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Mirror API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Report a bug or request a feature.
Copyright 2004 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.